Presets

Update a preset

PATCH
/preset/{preset_code}

Only the owner can update a preset. System presets cannot be updated via API.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Path Parameters

preset_code*string

Request Body

application/json
  1. body
name?|

New display name.

Defaultnull
description?|

New description.

Defaultnull
instruction_data?|

New instruction configuration data.

Defaultnull

Response Body

Successful Response

application/json
  1. response

Common preset fields.

preset_code*Preset Code

Unique identifier for the preset.

name*Name

Preset display name.

description*|

Optional description of the preset.

type*Type

Preset type: flat_2_model, model_swap, or identity_creation.

Value in"flat_2_model""model_swap""identity_creation""create_packshot""garment_recolor"
visibility*Visibility

Visibility level of the preset.

Value in"shared""private""system"
groups*array<string>

Groups the preset is shared with.

categories*array<>

Categories assigned to this preset.

instruction_data*

Instruction configuration data (JSON).

created_by*|

Email of the creator (null for system presets).

created_at*Created At

Creation datetime (UTC) in ISO 8601 format.

updated_at*Updated At

Last updated datetime (UTC) in ISO 8601 format.

curl -X PATCH "https://example.com/preset/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "preset_code": "string",  "name": "string",  "description": "string",  "type": "flat_2_model",  "visibility": "shared",  "groups": [    "string"  ],  "categories": [    {      "id": "string",      "name": "string",      "description": "string",      "thumbnail_url": "string",      "visibility": "shared",      "created_by": "string",      "created_at": "string",      "swatch_source": null,      "preset_count": 0,      "preset_types": [        "flat_2_model"      ],      "groups": [        "string"      ],      "preset_previews": [        {          "preset_code": "string",          "name": "string",          "preview_url": null,          "framing": null,          "angle": null        }      ]    }  ],  "instruction_data": {},  "created_by": "string",  "created_at": "string",  "updated_at": "string"}